package cn.iocoder.yudao.module.employee.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Employee 错误码枚举类
 *
 * employee 系统，使用 1-010-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 员工模块 1-002-000-000 ==========
    ErrorCode EMPLOYEE_INFO_NOT_EXISTS = new ErrorCode(1_010_000_000, "员工信息不存在");
    ErrorCode EMPLOYEE_INFO_EXISTS = new ErrorCode(1_010_000_001, "员工信息已存在");
    ErrorCode EMPLOYEE_INFO_HISTORY_NOT_EXISTS = new ErrorCode(1_010_000_002, "员工信息历史不存在");
    ErrorCode EMPLOYEE_INFO_PHONE_EXISTS = new ErrorCode(1_010_000_003, "员工手机号已存在");
    ErrorCode EMPLOYEE_INFO_PHONE_NOT_NULL = new ErrorCode(1_010_000_004, "员工手机号不能为空");
}
